import { Component, Input, Output } from "@angular/core";
import { FormsModule } from "@angular/forms";
import { EventEmitter } from "@angular/core";

@Component({
  selector: 'app-search',
  standalone: true,
  templateUrl: './search.component.html',
  imports: [FormsModule],
})
export class SearchComponent {
  @Input() public input: string = "";
  @Output() inputChange = new EventEmitter<string>();

  public update(e: string) {
    this.inputChange.emit(e);
  }
}
